from rest_framework.routers import DefaultRouter

from apps.accounts.viewsets import UserViewSet, OrganizationViewSet, InviteViewSet, RoleViewSet
from apps.knowledge.viewsets import TrainingFileViewSet, RoleRagDocumentViewSet
from apps.onboarding.viewsets import AgentConfigViewSet, OnboardingFlowViewSet, OnboardingSessionViewSet, AgentInteractionLogViewSet

router = DefaultRouter()

router.register(r'user', UserViewSet)
router.register(r'organization', OrganizationViewSet)
router.register(r'invite', InviteViewSet)
router.register(r'role', RoleViewSet)
router.register(r'training-file', TrainingFileViewSet)
router.register(r'role-rag-document', RoleRagDocumentViewSet)
router.register(r'agent-config', AgentConfigViewSet)
router.register(r'onboarding-flow', OnboardingFlowViewSet)
router.register(r'onboarding-session', OnboardingSessionViewSet)
router.register(r'agent-interaction-log', AgentInteractionLogViewSet)

urlpatterns = router.urls